PersistenceContextInterceptorExecutor (Grails 3.2.3)
Date: 2016-11-10

Package: grails.persistence.support

## [Groovy] Class PersistenceContextInterceptorExecutor

- grails.persistence.support.PersistenceContextInterceptorExecutor

- Executes persistence context interceptors phases.

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Collection<PersistenceContextInterceptor>` | `persistenceContextInterceptors`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PersistenceContextInterceptorExecutor (java.util.Collection<PersistenceContextInterceptor> persistenceContextInterceptors)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `destroyPersistenceContext()`
    `static void` | `destroyPersistenceContext(org.springframework.context.ApplicationContext appCtx)`
    `void` | `initPersistenceContext()`
    `static void` | `initPersistenceContext(org.springframework.context.ApplicationContext appCtx)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.util.Collection<PersistenceContextInterceptor> persistenceContextInterceptors

  - ### Constructor Detail

    - #### PersistenceContextInterceptorExecutor(java.util.Collection<PersistenceContextInterceptor> persistenceContextInterceptors)

  - ### Method Detail

    - #### void destroyPersistenceContext()

    - #### static void destroyPersistenceContext(org.springframework.context.ApplicationContext appCtx)

    - #### void initPersistenceContext()

    - #### static void initPersistenceContext(org.springframework.context.ApplicationContext appCtx)